# std::insert_iterator< __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > > Class Template Reference

List of all members.

## Detailed Description

### template<class _Value, class _HashFcn, class _EqualKey, class _Alloc>
class std::insert_iterator< __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > >

Definition at line 530 of file ext/hash_set.

## Public Types

- typedef _Container container_type
- typedef void difference_type
- typedef output_iterator_tag iterator_category
- typedef void pointer
- typedef void reference
- typedef void value_type

## Public Member Functions

- insert_iterator (_Container &__x, typename _Container::iterator)
- insert_iterator (_Container &__x)
- insert_iterator< _Container > & operator * ()
- insert_iterator< _Container > & operator++ (int)
- insert_iterator< _Container > & operator++ ()
- insert_iterator< _Container > & operator= (const typename _Container::value_type &__value)

## Protected Types

- typedef __gnu_cxx::hash_multiset<
  _Value, _HashFcn, _EqualKey,
  _Alloc > _Container

## Protected Attributes

- _Container * container
- _Container::iterator iter

The documentation for this class was generated from the following file:

- ext/hash_set